let width = screen.width;

//menu btn
const btnMenu = document.querySelectorAll('a[data-btn="btn-menu"]')
if(btnMenu){
    const toggleMenu = document.querySelector('div[data-toggle="toggle-menu"]')
    btnMenu.forEach(item => {
        item.addEventListener('click', e=>{
            e.preventDefault()
            if (toggleMenu.classList.contains('active')) {
                toggleMenu.classList.remove('active')
            } else {
                toggleMenu.classList.add('active')
            }
        })
    })
}

const uri = window.location.pathname
const uriTab = uri.split("/")
const pageName = uriTab.pop()

if(pageName==="index.html"){
    //localStorage.setItem('loader', 0)
    const loader = document.getElementById('loader')
    const statImg = document.getElementById('static-dor')
    const dynImg = document.getElementById('dynamic-dor')
    if(statImg&&dynImg){
        statImg.addEventListener('click', e=>{
            e.preventDefault()
            //localStorage.setItem('loader', 1)
            if(statImg.classList.contains('active')){
                statImg.classList.remove('active')
            }else{
                statImg.classList.add('active')
            }
            if(dynImg.classList.contains('active')){
                dynImg.classList.remove('active')
            }else{
                dynImg.classList.add('active')
            }
            setTimeout(()=>{
                if(dynImg.classList.contains('no-active')){
                    dynImg.classList.remove('no-active')
                }else{
                    dynImg.classList.add('no-active')
                }
            },5000)
            setTimeout(()=>{
                if(loader.classList.contains('active')){
                    loader.classList.remove('active')
                }else{
                    loader.classList.add('active')
                }
            }, 5500)
        })
    }
}

if(pageName==="life_way.html"){
    //box-life-way width, height
	const boxTag = document.getElementById('box-life-way')
    const bodyTag = document.querySelector('body')
    //console.log(boxTag)
    //const (bodyTag)
    if(boxTag){
        
        //footer step traitment
        window.addEventListener("scroll", () => {
            const windowHeight = window.scrollY

            const allFootStep = boxTag.querySelectorAll('div[data-foot-step="foot-step"]')
            if(allFootStep){
                //1
                if(windowHeight<= 450){
                    let current = document.getElementsByClassName("foot-step1")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //2
                if(windowHeight>450&&windowHeight<=690){
                    let current = document.getElementsByClassName("foot-step2")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //3
                if(windowHeight>690&&windowHeight<=820){
                    let current = document.getElementsByClassName("foot-step3")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //4
                if(windowHeight>820&&windowHeight<=1030){
                    let current = document.getElementsByClassName("foot-step4")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //5
                if(windowHeight>1030&&windowHeight<=1240){
                    let current = document.getElementsByClassName("foot-step5")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //6
                if(windowHeight>1240&&windowHeight<=1530){
                    let current = document.getElementsByClassName("foot-step6")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //7
                if(windowHeight>1530&&windowHeight<=1780){
                    let current = document.getElementsByClassName("foot-step7")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //8
                if(windowHeight>1780&&windowHeight<=2057){
                    let current = document.getElementsByClassName("foot-step8")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //9
                if(windowHeight>2057&&windowHeight<=2323){
                    let current = document.getElementsByClassName("foot-step9")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //10
                if(windowHeight>2323&&windowHeight<=2567){
                    let current = document.getElementsByClassName("foot-step10")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //11
                if(windowHeight>2567&&windowHeight<=2896){
                    let current = document.getElementsByClassName("foot-step11")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //12
                if(windowHeight>2896&&windowHeight<=3200){
                    let current = document.getElementsByClassName("foot-step12")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //13
                if(windowHeight>3200&&windowHeight<=3600){
                    let current = document.getElementsByClassName("foot-step13")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //14
                if(windowHeight>3600&&windowHeight<=4070){
                    let current = document.getElementsByClassName("foot-step14")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //15
                if(windowHeight>4070&&windowHeight<=4430){
                    let current = document.getElementsByClassName("foot-step15")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //16
                if(windowHeight>4430&&windowHeight<=4609){
                    let current = document.getElementsByClassName("foot-step16")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //17
                if(windowHeight>4609&&windowHeight<=4960){
                    let current = document.getElementsByClassName("foot-step17")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //18
                if(windowHeight>4960&&windowHeight<=5400){
                    let current = document.getElementsByClassName("foot-step18")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //19
                if(windowHeight>5400&&windowHeight<=5568){
                    let current = document.getElementsByClassName("foot-step19")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //20
                if(windowHeight>5568&&windowHeight<=5946){
                    let current = document.getElementsByClassName("foot-step20")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //21
                if(windowHeight>5946&&windowHeight<=6367){
                    let current = document.getElementsByClassName("foot-step21")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
                //22
                if(windowHeight>6601){
                    let current = document.getElementsByClassName("foot-step22")
                    allFootStep.forEach(item => item.classList.remove('active'))
                    if(current){
                        current[0].classList.add('active')
                    }
                }
            }
        })


        //trigger modal
        const allPin = boxTag.querySelectorAll('.box__item-img')
        if(allPin){
            const headerTag = document.querySelector('header.header')
            const footerTag = document.querySelector('footer.footer')
            allPin.forEach(item => {
                item.addEventListener('click', e=>{
                    e.preventDefault()
                    
                    allPin.forEach(pin => {
                        let pinParent = pin.closest('.box__item')
                        pinParent.setAttribute('data', 'no-active')
                    })

                    if(headerTag){
                        if(headerTag.classList.contains('active')){
                            headerTag.classList.remove('active')
                        }else{
                            headerTag.classList.add('active')
                        }
                    }

                    if(footerTag){
                        if(footerTag.classList.contains('active')){
                            footerTag.classList.remove('active')
                        }else{
                            footerTag.classList.add('active')
                        }
                    }


                    //hide btn game
                    let btnGame = document.getElementById('quiz-link')
                    if(btnGame){
                        btnGame.setAttribute('data', 'no-active')
                    }
                    
                    let itemParent = item.closest('.box__item')
                    itemParent.setAttribute('data', '')

                    let tagModal = item.nextElementSibling
                    
                    if(tagModal){
                        tagModal.classList.add('active')
                        
                        //close modal
                        let boxContent = tagModal.querySelector('.box-modal__content')
                        if(boxContent){
                            window.onclick = function(e){
                                const eTarget = e.target
                                const tagAttribute = eTarget.getAttribute('data-box-modal')

                                if(eTarget.tagName==="DIV" && eTarget.classList.contains('box-modal')){
                                    if(tagModal.classList.contains('active')){
                                        tagModal.classList.remove('active')
                                    }

                                    allPin.forEach(pin => {
                                        let pinParent = pin.closest('.box__item')
                                        pinParent.setAttribute('data', '')
                                    })

                                    if(btnGame){
                                        btnGame.setAttribute('data', '')
                                    }

                                    if(headerTag.classList.contains('active')){
                                        headerTag.classList.remove('active')
                                    }else{
                                        headerTag.classList.add('active')
                                    } 

                                    if(footerTag.classList.contains('active')){
                                        footerTag.classList.remove('active')
                                    }else{
                                        footerTag.classList.add('active')
                                    } 

                                }else if(eTarget.tagName==="BUTTON"){
                                    
                                    //keep modal
                                    tagModal.classList = "box-modal active"

                                    //
                                    const nextBtn = tagModal.querySelector('button.next-btn')
                                    const prevBtn = tagModal.querySelector('button.prev-btn')
                                    const setText = tagModal.querySelector('p.no-slide')
                                    const textInitSlide = tagModal.querySelector('p.box-slide')
                                    const slideBox = tagModal.querySelector('div.box-card-slide')

                                    if(eTarget.classList.contains('active')){
                                        eTarget.classList.remove('active')
                                    }else{
                                        eTarget.classList.add('active')
                                    }

                                    if(eTarget.classList.contains('next-btn')){
                                        if(prevBtn.classList.contains('active')){
                                            prevBtn.classList.remove('active')
                                        }else{
                                            prevBtn.classList.add('active')
                                        }
                                        if(setText){
                                            if(setText.classList.contains('active')){
                                                setText.classList.remove('active')
                                            }else{
                                                setText.classList.add('active')
                                            }
                                        }
                                        if(textInitSlide){
                                            if(textInitSlide.classList.contains('active')){
                                                textInitSlide.classList.remove('active')
                                            }else{
                                                textInitSlide.classList.add('active')
                                            }
                                        }
                                        if(slideBox){
                                            if(slideBox.classList.contains('active')){
                                                slideBox.classList.remove('active')
                                            }else{
                                                slideBox.classList.add('active')
                                            }
                                        }

                                    }else if(eTarget.classList.contains('prev-btn')){
                                        if(nextBtn.classList.contains('active')){
                                            nextBtn.classList.remove('active')
                                        }else{
                                            nextBtn.classList.add('active')
                                        }

                                        if(setText){
                                            if(setText.classList.contains('active')){
                                                setText.classList.remove('active')
                                            }else{
                                                setText.classList.add('active')
                                            }
                                        }
                                        if(textInitSlide){
                                            if(textInitSlide.classList.contains('active')){
                                                textInitSlide.classList.remove('active')
                                            }else{
                                                textInitSlide.classList.add('active')
                                            }
                                        }
                                        if(slideBox){
                                            if(slideBox.classList.contains('active')){
                                                slideBox.classList.remove('active')
                                            }else{
                                                slideBox.classList.add('active')
                                            }
                                        }

                                    }else if(eTarget.classList.contains('swiper-button-next')||eTarget.classList.contains('swiper-button-prev')){
                                        //keep modal
                                        tagModal.classList = "box-modal active"
                                    }

                                }else{
                                    
                                }
                            }
                        }
                    }

                })
            })
        }
    }
}

if(pageName==="jeux.html"){
    //init form steps
    let FORM_STEP = {
        initStep: 0,
        dataStepItem: true
    }

    //game content
    const gameTag = document.querySelector('div[data-game="game"]')
    //get parent btn action step game
    const parentBtnStepGame = document.querySelector("div[data-steps='game-steps']")

    //get item in form
    let stepItem = gameTag.querySelectorAll('.game__box__step')
    //
    const gamBox = document.querySelector('div.game__box')
    //(1): show first step form
    if(FORM_STEP.initStep==0){
        stepItem[FORM_STEP.initStep].className = "d-block"
        parentBtnStepGame.querySelector('button[name="validate"]').className="d-none"
    }

    //get response game steps
    let reponseItem = false
    const allStepButton = gamBox.querySelectorAll('button')
    for (var i = 0; i < allStepButton.length; i++) {  
        allStepButton[i].addEventListener("click", function() { 
            let current = document.getElementsByClassName("active")
            let itemAttribute = this.getAttribute('data-response')
            if(itemAttribute==="true"){
                reponseItem = true
                //set btn next submit content 
                parentBtnStepGame.querySelector('button[name="next"]').innerHTML=`
                    Suivant <img src="./images/icones/double_arrow.png" style="width: 16px;">
                `
            }else{
                reponseItem = false
                //set btn next submit content 
                parentBtnStepGame.querySelector('button[name="next"]').innerHTML="Réessayer"
                parentBtnStepGame.querySelector('button[name="next"]').addEventListener('click', e=>{
                    if(current[0].classList.contains('active')){
                        current[0].className = current[0].className.replace(" active", "")
                    }
                    parentBtnStepGame.querySelector('button[name="next"]').innerHTML = `
                        Suivant <img src="./images/icones/double_arrow.png" style="width: 16px;">
                    `
                })
            }

            if (current.length > 0) {   
                current[0].className = current[0].className.replace(" active", "")
            }  
            this.className += " active";  
        })
    }

    //click on next button
    parentBtnStepGame.querySelector('button[name="next"]').addEventListener('click', e=>{
        e.preventDefault()
        
        let FORM_STEP_NEXT = {
            dataStepItem: true
        }

        let stepTagItem = stepItem[FORM_STEP.initStep]
        if(reponseItem===true){
            FORM_STEP_NEXT.dataStepItem = true
        }else{
            FORM_STEP_NEXT.dataStepItem = false
        }

        if(FORM_STEP_NEXT.dataStepItem===true){
            //hide previous item
            let selectionBack = stepItem[FORM_STEP.initStep]
            if(selectionBack){
                selectionBack.className='d-none'
            }

            //increment step
            FORM_STEP.initStep = FORM_STEP.initStep + 1

            //show next item
            let selectionNext = stepItem[FORM_STEP.initStep]
            if(selectionNext){
                selectionNext.className='d-block'
            }
        }

        //set show submit button
        if(FORM_STEP.initStep == (stepItem.length-1)){
            parentBtnStepGame.querySelector('button[name="next"]').className="d-none"
            parentBtnStepGame.querySelector('button[name="validate"]').className="d-block"
        }
        reponseItem = false
    })
}